Subject: BGP AS Range in PSAMP?

From: Benoit Claise <[email-masked]>
Date: Thu, 13 Oct 2005 14:20:50 +0200

Dear all,

I'm currently updating the new version of the [PSAMP-PROTO].
I see that the framework and the sampling techniques drafts both allows 
a BGP AS range for the router state filtering.

I'm not sure whether it makes sense from an application point of view.
Furthermore, we proposed in the WG to concentrate the filtering to 
logical AND
only, and remove the logical OR! Even if we can model a range by the 
conditions ( above threshold AND
below threshold ), I think this complicates the modeling of filters.

So I would be in favor to remove this.
We could add it to the list of changes to be applied to the two 
documents under IESG review.

Hereafter are the references from the PSAMP sampling technique draft.

6.3 Router State Filtering

This class of filters selects a packet on the basis of router
state conditions. The following list gives examples for such
conditions. Conditions can be combined with AND operators.

- Origin BGP AS [RFC1771] equals a specified value or lies
within a given range
- Destination BGP AS equals a specified value or lies within
a given range

...

7.1 Description of Sampling Techniques

...

Case Router State:

- Origin AS equals a specified value or lies within a given
range
- Destination AS equals a specified value or lies within a
given range

Regards, Benoit.

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/psamp/>